Skip to main content

Update International External Account

Suggest Edits


4.1 Overview​

You can update certain details of an international external account (IEA) using the POST method, as described below. Updates are restricted if the IEA is linked to any transaction in SCHEDULED, PENDING, or PROCESSING status.


4.2 Resource Access​

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/internationalExternalAccount/id/{internationalExternalAccountId}

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/internationalExternalAccount/id/{internationalExternalAccountId}

4.3 Arguments​

AttributeSub-fieldCan be Updated?Notes
externalId—ConditionalOnce specified it cannot be changed
holderName—Yes—
holderAddressaddressLine1Yes—
addressLine2Yes—
cityYes—
stateYes—
countryNoCountry node is immutable
zipYes—
accountNumber—ConditionalUpdatable only while IEA is in INACTIVE status
swiftCode—Yes—
internationalRoutingCode—Yes—
holderEmail—Yes—
holderPhone—Yes—
additionalDetail.<key>—YesCountry-specific keys
acceptedCurrency—NoImmutable
type—ConditionalUpdatable only while IEA is INACTIVE
holderType—ConditionalUpdatable only while IEA is INACTIVE
purpose—Yes—
metaData—Yes—
tags—Yes—
comment—Yes—

4.4 Example Request​

Update details of an International External Account

POST /banking/us2/v1/customer/id/{customerId}/internationalExternalAccount/id/{internationalExternalAccountId} HTTP/1.1
Host: {hostname}
Authorization: Bearer {jwtToken}
x-api-key: {apiKey}
Content-Type: application/json
{
"addressLine1": "{addressLine1}"
}

4.5 Example Response​

```http
HTTP/1.1 204 No Content

API Documentation​